Bug 1509262 - Review Request: flatbuffers - memory efficient serialization library
Summary: Review Request: flatbuffers - memory efficient serialization library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-03 12:31 UTC by Sergey Avseyev
Modified: 2017-12-09 22:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-09 22:23:17 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Sergey Avseyev 2017-11-03 12:31:59 UTC
Spec URL: https://avsej.fedorapeople.org/flatbuffers/0/flatbuffers.spec
SRPM URL: https://avsej.fedorapeople.org/flatbuffers/0/flatbuffers-1.7.1-1.fc28.src.rpm
Fedora Account System Username: avsej
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22885867
Description: 
FlatBuffers is a serialization library for games and other memory constrained
apps. FlatBuffers allows you to directly access serialized data without
unpacking/parsing it first, while still having great forwards/backwards
compatibility.

Comment 1 Sergey Avseyev 2017-11-03 13:39:45 UTC
I have updated build requirements (added gcc-c++)
Also I've made attempt to cleanup tarball after %prep stage to minimize license warnings, and noted that there is a part (grpc/) licensed under BSD (3 clause) 

Spec URL: https://avsej.fedorapeople.org/flatbuffers/1/flatbuffers.spec
SRPM URL: https://avsej.fedorapeople.org/flatbuffers/1/flatbuffers-1.7.1-1.fc28.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22888333

Comment 2 Sergey Avseyev 2017-11-03 16:06:55 UTC
Updated spec after review:
- mention grpc (unfortunately without version, as the upstream made everything to it hard to determine version of the bundled sources)
- explicitly reset executable bit on readme in %prep (patch for upstream https://github.com/google/flatbuffers/pull/4480)
- style fixes

Spec URL: https://avsej.fedorapeople.org/flatbuffers/2/flatbuffers.spec
SRPM URL: https://avsej.fedorapeople.org/flatbuffers/2/flatbuffers-1.7.1-1.fc28.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22892433

Comment 3 Igor Gnatenko 2017-11-03 17:12:46 UTC
Alright, looks good. Make sure to send patches upstream and add links as comments in spec.

Comment 4 Sergey Avseyev 2017-11-03 17:32:08 UTC
(In reply to Igor Gnatenko from comment #3)
> Alright, looks good. Make sure to send patches upstream and add links as
> comments in spec.

Fixed

Spec URL: https://avsej.fedorapeople.org/flatbuffers/3/flatbuffers.spec
SRPM URL: https://avsej.fedorapeople.org/flatbuffers/3/flatbuffers-1.7.1-1.fc28.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22894315

Comment 5 Gwyn Ciesla 2017-11-03 19:45:47 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/flatbuffers. You may commit to the branch "f27" in about 10 minutes.

Comment 6 Fedora Update System 2017-11-05 15:25:00 UTC
flatbuffers-1.7.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-076c934888

Comment 7 Fedora Update System 2017-11-05 21:01:45 UTC
flatbuffers-1.7.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-076c934888

Comment 8 Fedora Update System 2017-11-09 20:56:55 UTC
flatbuffers-1.7.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e7766de392

Comment 9 Fedora Update System 2017-11-11 17:30:36 UTC
flatbuffers-1.7.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e7766de392

Comment 10 Fedora Update System 2017-11-15 17:44:21 UTC
flatbuffers-1.7.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-22 15:19:24 UTC
flatbuffers-1.8.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e7766de392

Comment 12 Fedora Update System 2017-11-25 01:32:17 UTC
flatbuffers-1.8.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e7766de392

Comment 13 Fedora Update System 2017-12-09 22:23:17 UTC
flatbuffers-1.8.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.